org.apache.commons.math3.util

## Class FastMath.ExpFracTable

- java.lang.Object
- - org.apache.commons.math3.util.FastMath.ExpFracTable

- Enclosing class:
    FastMath

      private static class FastMath.ExpFracTable
      extends Object

  Enclose large data table in nested static class so it's only loaded on first access.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static double[]` | `EXP_FRAC_TABLE_A` Exponential over the range of 0 - 1 in increments of 2^-10 exp(x/1024) = expFracTableA[x] + expFracTableB[x].
    `private static double[]` | `EXP_FRAC_TABLE_B` Exponential over the range of 0 - 1 in increments of 2^-10 exp(x/1024) = expFracTableA[x] + expFracTableB[x].

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `FastMath.ExpFracTable()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXP_FRAC_TABLE_A

          private static final double[] EXP_FRAC_TABLE_A

      Exponential over the range of 0 - 1 in increments of 2^-10 exp(x/1024) = expFracTableA[x] + expFracTableB[x]. 1024 = 2^10

    - #### EXP_FRAC_TABLE_B

          private static final double[] EXP_FRAC_TABLE_B

      Exponential over the range of 0 - 1 in increments of 2^-10 exp(x/1024) = expFracTableA[x] + expFracTableB[x].

  - ### Constructor Detail

    - #### FastMath.ExpFracTable

          private FastMath.ExpFracTable()

Copyright (c) 2003-2013 Apache Software Foundation